/** * This file was auto-generated by Fern from our API Definition. */ import * as environments from "../../../../environments"; import * as core from "../../../../core"; import * as Skyflow from "../../../index"; export declare namespace Audit { interface Options { environment?: core.Supplier; /** Specify a custom URL to connect the client to. */ baseUrl?: core.Supplier; token: core.Supplier; fetcher?: core.FetchFunction; } interface RequestOptions { /** The maximum time to wait for a response in seconds. */ timeoutInSeconds?: number; /** The number of times to retry the request. Defaults to 2. */ maxRetries?: number; /** A hook to abort the request. */ abortSignal?: AbortSignal; /** Additional headers to include in the request. */ headers?: Record; } } export declare class Audit { protected readonly _options: Audit.Options; constructor(_options: Audit.Options); /** * Lists audit events that match query parameters. * * @param {Skyflow.AuditServiceListAuditEventsRequest} request * @param {Audit.RequestOptions} requestOptions - Request-specific configuration. * * @throws {@link Skyflow.NotFoundError} * * @example * await client.audit.auditServiceListAuditEvents({ * "filterOps.accountID": "filterOps.accountID" * }) */ auditServiceListAuditEvents(request: Skyflow.AuditServiceListAuditEventsRequest, requestOptions?: Audit.RequestOptions): core.HttpResponsePromise; private __auditServiceListAuditEvents; protected _getAuthorizationHeader(): Promise; }